package ln.externalApp;

import ln.bThreads.*;
import bApplication.BApplication;
import bp.BProgram;
import bp.BThread;
import static bp.BProgram.*;


public class LN implements BApplication {

	static public void main(String arg[]) {
		try {

			BProgram.startBApplication(LN.class, "ln");

		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void runBApplication() {
		bp.setBThreadEpsilon(100.0);
		try {
			bp.add(new BT3(), 201.0);
			bp.add(new BT7(), 202.0);
			bp.add(new BTgen(), 203.0);
			bp.add(new Watcher(), 204.0);
			bp.startAll();

		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
