package ln.bThreads;

import static bp.BProgram.labelNextVerificationState;
import static bp.eventSets.EventSetConstants.all;
import static bp.eventSets.EventSetConstants.none;
import static ln.events.StaticEvents.*;
import bp.BThread;
import bp.exceptions.BPJException;

/**
 * BThread that blocks E0 if and only if i is not a multiple of 7
 */

@SuppressWarnings("serial")
public class BT7 extends BThread {
	public void runBThread() throws BPJException {
		for (;;) {
			for (int i = 0; i < 6; i++) {
				labelNextVerificationState("" + i);
				bp.bSync(none, all, E0);
			}
			labelNextVerificationState("6");
			bp.bSync(none, all, none);
		}
	}
}